<app-header-logged >
    <ion-back-button  text ="" defaultHref='/contact'></ion-back-button>
  </app-header-logged>
<app-ariane-inscription etape ="2"></app-ariane-inscription>
<ion-content >
    <app-refresher></app-refresher>
  <div class="container">
      <div class="headingContent">
          <p class="heading" translate>connexion</p>
          </div>
<!-- Logo -->

  <!-- Login form -->

  <form [formGroup]='onIdentificationForm' >

      <p *ngIf="typeRoutineProfilLoc!=routineResetLoc" ion-text text-center class="text08" >
        <ion-text color="primary" translate>

          login_correspond_au_telephone


        </ion-text>
      </p>
      <div  class="inputBlock" *ngIf="typeRoutineProfilLoc!=routineResetLoc">
          <p class="question" translate>connexion</p>
          <div class="itemInput"  >

        <ion-input [value]="login" type="text" readonly></ion-input>
        </div>
          </div>
         <div  *ngIf=" typeRoutineProfilLoc ==  routineUpdateProfilLoc">
          <div class="inputBlock ">
              <p class="question" translate> ancien_mot_de_passe</p>
              <div class="itemInput" [ngClass]="formInvalide && onIdentificationForm.get('oldCode').hasError('required') ?'itemError':''" >

                  <ion-input  maxlength ="4"  type="password" formControlName="oldCode" #oldPassword   show-hide-input ></ion-input>

                  <ion-icon (click)="voirOldPassword()" *ngIf="!passwordVisible" color="primary" name="eye" slot ="end"></ion-icon>
                  <ion-icon (click)="cacherOldPassword()" *ngIf="passwordVisible"  color="primary" name="eye-off" slot ="end"></ion-icon>
            </div>
          </div>
          <p ion-text color="danger" class="text08" *ngIf="onIdentificationForm.get('oldCode').touched && onIdentificationForm.get('oldCode').hasError('required')">
            <ion-text color="danger" translate>
              champ_obligatoire
            </ion-text>
            </p>
          </div>


          <div class="inputBlock ">
              <p class="question" translate>mot_de_passe</p>
              <div class="itemInput" [ngClass]="formInvalide && onIdentificationForm.get('code').hasError('required') ?'itemError':''" >

            <ion-input  maxlength ="4"  type="password" formControlName="code" #password  show-hide-input ></ion-input>

            <ion-icon (click)="voirPassword()" *ngIf="!passwordVisible" color="primary" name="eye" slot ="end"></ion-icon>
            <ion-icon (click)="cacherPassword()" *ngIf="passwordVisible"  color="primary" name="eye-off" slot ="end"></ion-icon>
            </div>
          </div>
      <p ion-text color="danger" class="text08" *ngIf="onIdentificationForm.get('code').touched && onIdentificationForm.get('code').hasError('required')">
        <ion-text color="danger"translate>
          champ_obligatoire
        </ion-text>
        </p>


        <div class="inputBlock ">
            <p class="question" translate>confirmer_mot_de_passe</p>
            <div class="itemInput" [ngClass]="formInvalide && onIdentificationForm.get('confirmCode').hasError('required') ?'itemError':''" >
              <ion-input maxlength ="4"  type="password" formControlName="confirmCode" #confirm show-hide-input ></ion-input>

             <ion-icon (click)="voirConfirm()" *ngIf="!confirmPasswordVisible" color="primary" name="eye" slot ="end"></ion-icon>
              <ion-icon (click)="cacherConfirm()" *ngIf="confirmPasswordVisible"  color="primary" name="eye-off" slot ="end"></ion-icon>
            </div>
        </div>
          <p ion-text color="danger" class="text08" *ngIf="onIdentificationForm.get('confirmCode').touched && onIdentificationForm.get('confirmCode').hasError('required')">
            <ion-text color="danger" translate>
              champ_obligatoire
            </ion-text>
            </p>
            <div class="bottomBlock">
            <ion-button icon-left size="large" shape="round" color="primary" (click)="validerInscription()"   >

                <ion-icon color ="light" name="arrow-round-forward"></ion-icon>

              </ion-button>
           </div>

    </form>
  </div>




</ion-content>
